Skip to main content
GET
/
resale
/
listing
Retrieve a resale listing
curl --request GET \
  --url https://api.nuwebgroup.com/v1/resale/listing \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "type": "resaleListings",
    "id": 1,
    "attributes": {
      "customerId": 123,
      "minimumPurchaseQuantity": 1,
      "status": "active",
      "eventId": 456,
      "orderId": 789,
      "createdAt": "2025-01-15T10:30:00.000000Z",
      "closedAt": null,
      "onSaleFrom": "2025-02-01T09:00:00.000000Z",
      "onSaleUntil": "2025-02-15T18:00:00.000000Z"
    },
    "relationships": {
      "resaleContracts": {
        "data": [
          {
            "type": "resaleContracts",
            "id": 1
          }
        ]
      }
    },
    "links": {
      "self": "/v1/resale/listing?id=1"
    }
  },
  "included": [
    {
      "type": "resaleContracts",
      "id": 1,
      "attributes": {
        "orderItemId": 456,
        "maxSellerContribution": 500,
        "status": "active",
        "soldAt": null,
        "currencyId": 1,
        "price": 5000,
        "totalPrice": 5250,
        "displayTotal": 5500
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Query Parameters

orderItemId
integer

Find resale listing for the given order item. Required if id is not provided.

id
integer

Find resale listing by ID. Required if orderItemId is not provided.

only
string

A list of attributes that you wish to be returned in the payload. When empty or omitted, all fields will be included by default. Use dot-notation for both top-level resources and child resources

except
string

A list of attributes that you wish to exclude from the payload. When empty or omitted, all fields will be included by default. Use dot-notation for both top-level resources and child resources.

include
enum<string>[]

A list of related resources you wish to include in the response.

Available options:
resaleContracts,
resaleContracts.orderItem,
resaleContracts.replacingOrderItem,
resaleContracts.payoutTransaction,
resaleContracts.payoutWalletTransaction,
events,
orders

Response

Successfully retrieved the resale listing.

data
object
included
object[]